- include_tasks: facts.yaml
- include_tasks: plan.yaml
- include_tasks: "{{ imgplan }}.yaml"
- include_tasks: rbac.yaml
- include_tasks: database.yaml
- include_tasks: secrets.yaml
- include_tasks: upgrades.yaml
  when:
  - sp_dc is defined
  - sp_dc.resources is defined
  - sp_dc.resources[0] is defined
  - sp_dc.resources[0].spec is defined
  - >
     ((deployment_kind == 'Deployment' or (do_triggers | default(False)) == False)
      and sp_dc.resources[0].spec.template is defined
      and sp_dc.resources[0].spec.template.spec is defined
      and sp_dc.resources[0].spec.template.spec.containers is defined
      and sp_dc.resources[0].spec.template.spec.containers[0] is defined
      and sp_dc.resources[0].spec.template.spec.containers[0].image is defined
      and not (sp_dc.resources[0].spec.template.spec.containers[0].image is regex("sympa:" ~ sympa_tag)))
     or (deployment_kind == 'DeploymentConfig'
         and (do_triggers | default(False))
         and sp_dc.resources[0].spec.triggers is defined
         and sp_dc.resources[0].spec.triggers[0] is defined
         and sp_dc.resources[0].spec.triggers[0].imageChangeParams is defined
         and sp_dc.resources[0].spec.triggers[0].imageChangeParams.from is defined
         and sp_dc.resources[0].spec.triggers[0].imageChangeParams.from.name is defined
         and sp_dc.resources[0].spec.triggers[0].imageChangeParams.from.name != ("sympa:" ~ sympa_tag))
- include_tasks: deploy.yaml
- include_tasks: verify.yaml
